 <?php
    require_once("../../includes/initialize.php");    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    

	include '../rdb/conn.php';
//recupero los parametros    
    $id = $_POST['renglon_id'];
    $comunicacion_id = $_POST['renglon_comunicacion_id'];
    $fecha = $_POST['renglon_fecha'];
    $usuario_id = $_POST['renglon_usuario_id'];
    $texto = mysql_real_escape_string($_POST['texto_renglon']) ;
    $estado_id = $_POST['cmbEstado'];
try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");


    if (isset($_POST['renglon_id']) && trim($_POST['renglon_id'])!='ALTA') {
        //modificacion
            $sql = "update comunicacion_renglones set  ";
            $sql .="      comunicacion_id = $comunicacion_id,";
            $sql .="      usuario_id = $usuario_id ,";
            $sql .="      fecha = $fecha,";
            $sql .="      estado_id = $estado_id,";
            $sql .="      texto = '$texto'";
            $sql .= " where id=$id ";

            
            $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
            $fecha= date("Y-m-d H:i:s");
            $accion = $sql;
            $valor="";
            $sqlv  = "INSERT INTO visitas ( fecha, visitante, accion, limite_id, valores) VALUES ";
            $sqlv .= " ('$fecha','$visitante','$accion','$id','$valor')";
            @mysqli_query( $conn,$sqlv);


            @mysqli_query( $conn,$sql);

    
    } else
    {
        //alta        
            $sql = "INSERT INTO comunicacion_renglones ";
            $sql .="(comunicacion_id,usuario_id,fecha,estado_id,texto)   ";
            $sql .="      values ";
            $sql .="($comunicacion_id,$usuario_id,'$fecha',$estado_id,'$texto') ";
            @mysqli_query( $conn,$sql);
            $id= mysqli_insert_id($conn);


            $sql = "UPDATE comunicacion set estado_id = $estado_id where id=$comunicacion_id";
            @mysqli_query( $conn,$sql);


            $foto = new Foto();
            $foto->titulo ="Titulo";// $_POST["title"];
            $foto->comunicacion_id=  $comunicacion_id;
            $foto->renglon_id =  $id;
            $foto->usuario_id =  $usuario_id;
            
            $foto->adjuntar_foto($_FILES["file_upload"]);
            if($foto->guardar())
            {
                $mensaje = "El archivo se ha subido.";
                $status=1;
            }
            else
            {
                $mensaje = "Existen los siguientes errores: ";
                $mensaje .= $foto->errores;
                $status=0;
            }
        $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
        $fecha= date("Y-m-d H:i:s");
        $accion=$sql;
        $valor="";

        $sql  = "INSERT INTO visitas ( fecha, visitante, accion, limite_id, valores) VALUES ";
        $sql .= " ('$fecha','$visitante','$accion','$id','$valor')";
        @mysqli_query( $conn,$sql);


        $sql="select * from comunicacion_renglones where comunicacion_id = $comunicacion_id order by id desc limit $offset,$rows " ;
        $rs = mysqli_query( $conn,$sql);

        $items = array();
        while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
        }
        $result["sql"] = $sql;
        $result["msg"] = $mensaje;
        $result["status"] = $status;

        echo json_encode($result);
        
        
    }
    
    mysqli_query( $conn,"COMMIT");

} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");
$result["msg"] = $mensaje.'Ocurrio el siguiente error'. $error->getMessage();
echo json_encode($result);
}
    
    
?>
